---
layout: commands
page_title: 'Commands: ACL Auth Method Read'
description: |
  The `consul acl auth-method read` command outputs configuration details for a specified auth method.
---

# Consul ACL Auth Method Read

Command: `consul acl auth-method read`

Corresponding HTTP API Endpoint: [\[GET\] /v1/acl/auth-method/:name](/consul/api-docs/acl/auth-methods#read-an-auth-method)

The `acl auth-method read` command reads and displays an auth method's details.

The table below shows this command's [required ACLs](/consul/api-docs/api-structure#authentication). Configuration of
[blocking queries](/consul/api-docs/features/blocking) and [agent caching](/consul/api-docs/features/caching)
are not supported from commands, but may be from the corresponding HTTP endpoint.

| ACL Required |
| ------------ |
| `acl:read`   |

## Usage

Usage: `consul acl auth-method read [options] [args]`

#### Command Options

- `-meta` - Indicates that auth method metadata such as the raft
  indices should be shown for each entry.

- `-name=<string>` - The name of the auth method to read.

- `-format={pretty|json}` - Command output format. The default value is `pretty`.

#### Enterprise Options

@include 'http_api_partition_options.mdx'

@include 'http_api_namespace_options.mdx'

#### API Options

@include 'http_api_options_client.mdx'

@include 'http_api_options_server.mdx'

## Examples

Get auth method details:

```shell-session
$ consul acl auth-method read -name minikube
Name:         minikube
Type:         kubernetes
Description:  minikube auth method
Config:
{
  "CACert": "-----BEGIN CERTIFICATE-----\n...-----END CERTIFICATE-----\n",
  "Host": "https://192.0.2.42:8443",
  "ServiceAccountJWT": "eyJhbGciOiJSUzI1NiIsImtpZCI..."
}
```
